#!/bin/bash
cd ner/


## change the dataset by configuring the corpus
## conll, ontonotes5, NCBI and s800
CORPUS=conll
## change the number of classes for the task
NUMCLASS=9


for NUM_SENTENCES in 50 100 200 500
do
    for NUM_IMB in 0.01 0.02 0.05
    do
        for SEED in 9873 1231 4711 3891 3711 8945 1672 1237 8431 9611
        do
            ## OVA
            python train.py --corpus=$CORPUS  --num_class=$NUMCLASS --generate_imbRatio=$NUM_IMB --imbalance_generator \
            --onevsall --loop_in --aucopt --auto_imratio --num_training_sentences=$NUM_SENTENCES \
            --num_train_epochs=100 --n_gpu=1 --gpu_no=0 --seed=$SEED
            ## OVA MAML
            python train.py --corpus=$CORPUS  --num_class=$NUMCLASS --generate_imbRatio=$NUM_IMB --imbalance_generator \
            --multiclass --meta_learning --aucopt --auto_imratio --num_training_sentences=$NUM_SENTENCES \
            --num_train_epochs=100 --n_gpu=1 --gpu_no=0 --seed=$SEED
        done
    done
done


cd ..