#!/bin/bash
cd ner/


for NUM_SENTENCES in 20 50 100 200 300 400 500
do
    for PART in 1 2 3 4 5 6 7 8 9 10
    do
        # CoNLL 2003
        ## OVA-AUC
        ### Non-Ensemble
        python train.py --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --num_class=9 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --ensembleopt --num_ensembles=5 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --ensembleopt --num_ensembles=5 --num_class=9 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        
        ## OVA-COMAUC
        ### Non-Ensemble
        python train.py --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --num_class=9 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --ensembleopt --num_ensembles=5 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --ensembleopt --num_ensembles=5 --num_class=9 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-AUC-MAML
        ### Non-Ensemble
        python train.py --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --num_class=9 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --ensembleopt --num_ensembles=5 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --ensembleopt --num_ensembles=5 --num_class=9 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC-MAML
        ### Non-Ensemble
        python train.py --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --num_class=9 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --ensembleopt --num_ensembles=5 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --ensembleopt --num_ensembles=5 --num_class=9 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        # Ontonotes v5.0
        ## OVA-AUC
        ### Non-Ensemble
        python train.py --corpus="ontonotes5" --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --num_class=37 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --num_class=37 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC
        ### Non-Ensemble
        python train.py --corpus="ontonotes5" --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --num_class=37 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --num_class=37 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-AUC-MAML
        ### Non-Ensemble
        python train.py --corpus="ontonotes5" --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --num_class=37 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --num_class=37 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC-MAML
        ### Non-Ensemble
        python train.py --corpus="ontonotes5" --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --num_class=37 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        python train.py --corpus="ontonotes5" --ensembleopt --num_ensembles=5 --num_class=37 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        # NCBI
        ## OVA-AUC
        ### Non-Ensemble
        python train.py --corpus="NCBI" --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="NCBI" --ensembleopt --num_ensembles=5 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC
        ### Non-Ensemble
        python train.py --corpus="NCBI" --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="NCBI" --ensembleopt --num_ensembles=5 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-AUC-MAML
        ### Non-Ensemble
        python train.py --corpus="NCBI" --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="NCBI" --ensembleopt --num_ensembles=5 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC-MAML
        ### Non-Ensemble
        python train.py --corpus="NCBI" --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="NCBI" --ensembleopt --num_ensembles=5 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        # s800
        ## OVA-AUC
        ### Non-Ensemble
        python train.py --corpus="s800" --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="s800" --ensembleopt --num_ensembles=5 --onevsall --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC
        ### Non-Ensemble
        python train.py --corpus="s800" --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="s800" --ensembleopt --num_ensembles=5 --onevsall --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-AUC-MAML
        ### Non-Ensemble
        python train.py --corpus="s800" --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="s800" --ensembleopt --num_ensembles=5 --meta_learning --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0

        ## OVA-COMAUC-MAML
        ### Non-Ensemble
        python train.py --corpus="s800" --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
        ### Ensemble
        python train.py --corpus="s800" --ensembleopt --num_ensembles=5 --meta_learning --comopt --aucopt --num_training_sentences=$NUM_SENTENCES --part=$PART --n_gpu=1 --gpu_no=0
    done
done


cd ..